API referenceRules
Update a rule
patch
https://www.tracira.com/api/rules/{id}PATCH
sessionAuthcookie
better-auth.session_token<token>Browser session cookie used by logged-in Tracira users. Secure-prefixed variants may also be used by the browser.
id*stringapplication/json- body
name?stringtype?stringValue in
"keyword_required""keyword_forbidden""regex_match""length_limit""confidence_threshold""llm_judge""json_field""json_field_keyword_required""json_field_keyword_forbidden"description?stringvalue?stringisActive?booleanprojectId?string|nullprojectName?string|nulltaskName?string|nullllmJudgeProvider?|Value in
"anthropic""openai""openrouter"llmJudgeModel?string|nullRule updated.
application/json- response
ok*booleancurl -X PATCH 'https://www.tracira.com/api/rules/3c9e5a72-6d18-4f0b-b2a4-7e51d8c06f94' \ -H 'Content-Type: application/json' \ -d '{ "isActive": false}'Example Response
{ "ok": true}